package nc.impl.hr;

import nc.impl.pub.ace.AceBaod_ordersPubServiceImpl;
import nc.impl.pubapp.pattern.data.bill.tool.BillTransferTool;
import nc.vo.th.baod.entity.AggBaodVO;
import nc.impl.pubapp.pattern.data.bill.BillLazyQuery;
import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;
import nc.vo.pubapp.query2.sql.process.QuerySchemeProcessor;
import nc.impl.pubapp.pattern.database.DataAccessUtils;
import nc.vo.pubapp.pattern.data.IRowSet;
import nc.vo.pubapp.bill.pagination.PaginationTransferObject;
import nc.vo.pubapp.bill.pagination.util.PaginationUtils;
import nc.impl.pubapp.pattern.data.bill.BillQuery;

public class Baod_ordersMaintainImpl extends AceBaod_ordersPubServiceImpl implements nc.itf.hr.IBaod_ordersMaintain {

      @Override
    public void delete(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException {
        super.pubdeleteBills(clientFullVOs,originBills);
    }
  
      @Override
    public AggBaodVO[] insert(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException {
        return super.pubinsertBills(clientFullVOs,originBills);
    }
    
      @Override
    public AggBaodVO[] update(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException {
        return super.pubupdateBills(clientFullVOs,originBills);    
    }
  

  @Override
  public AggBaodVO[] query(IQueryScheme queryScheme)
      throws BusinessException {
      return super.pubquerybills(queryScheme);
  }



  @Override
  public AggBaodVO[] save(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException {
      return super.pubsendapprovebills(clientFullVOs,originBills);
  }

  @Override
  public AggBaodVO[] unsave(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException {
      return super.pubunsendapprovebills(clientFullVOs,originBills);
  }

  @Override
  public AggBaodVO[] approve(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException {
      return super.pubapprovebills(clientFullVOs,originBills);
  }

  @Override
  public AggBaodVO[] unapprove(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException {
      return super.pubunapprovebills(clientFullVOs,originBills);
  }

}
